%global momorel 3

Summary: programming language features to GNOME developers
Name: vala
Version: 0.9.3
Release: %{momorel}m%{?dist}
License: LGPL
Group: Development/Languages
URL: http://live.gnome.org/Vala
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.9/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: pkgconfig
BuildRequires: glib2-devel

%description
Vala is a new programming language that aims to bring modern
programming language features to GNOME developers without imposing any
additional runtime requirements and without using a different ABI
compared to applications and libraries written in C.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure --enable-vapigen --enable-silent-rules
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog MAINTAINERS NEWS README THANKS
%{_bindir}/vala
%{_bindir}/vala-gen-introspect
%{_bindir}/valac
%{_bindir}/vapicheck
%{_bindir}/vapigen
%{_libdir}/libvala.so.*
%exclude %{_libdir}/libvala.la

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/gen-introspect

%{_mandir}/man1/valac.1.*
%{_mandir}/man1/vapigen.1.*
%{_mandir}/man1/vala-gen-introspect.1.*

%{_datadir}/%{name}

%files devel
%defattr(-, root, root)
%{_includedir}/vala-1.0
%{_libdir}/libvala.so
%{_libdir}/pkgconfig/vala-1.0.pc
%{_datadir}/devhelp/books/%{name}

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.3-3m)
- full rebuild for mo7 release

* Sun Aug  8 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.3-2m)
- back to 0.9.3

* Wed Jul 28 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.4-1m)
- update to 0.9.4

* Thu Jul 15 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.3-1m)
- update to 0.9.3

* Mon Jun 21 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.2-1m)
- update to 0.9.2

* Tue Jun  8 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.1-1m)
- update to 0.9.1

* Sat May  8 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.1-2m)
- add %%dir

* Thu Apr 22 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.1-1m)
- update to 0.8.1

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.0-1m)
- update to 0.8.0

* Thu Feb 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.10-1m)
- update to 0.7.10

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.9-1m)
- update to 0.7.9

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.8-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Nov  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.8-1m)
- update to 0.7.8

* Tue Sep 29 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.7-1m)
- update to 0.7.7

* Sat Sep  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.6-1m)
- initial build
